import {BaseStoreNameSpace} from "../../models/stores/base-store-namespace.model";
import {StoreActionClass} from "../../models/stores/state-action.model";

export interface ResourceNameSpace extends BaseStoreNameSpace {
  LoadResource: StoreActionClass;
  LoadResourceSuccess: StoreActionClass;
  LoadResourceFail: StoreActionClass;
  ChangeQueryParameters: StoreActionClass;
  GetAll: StoreActionClass;
  GetAllSuccess: StoreActionClass;
  GetAllFail: StoreActionClass;
  GetByListId: StoreActionClass;
  GetByListIdSuccess: StoreActionClass;
  GetByListIdFail: StoreActionClass;
  GetById: StoreActionClass;
  GetByIdSuccess: StoreActionClass;
  GetByIdFail: StoreActionClass;
  Create: StoreActionClass;
  CreateSuccess: StoreActionClass;
  CreateFail: StoreActionClass;
  Update: StoreActionClass;
  UpdateSuccess: StoreActionClass;
  UpdateFail: StoreActionClass;
  Delete: StoreActionClass;
  DeleteSuccess: StoreActionClass;
  DeleteFail: StoreActionClass;
  AddInList: StoreActionClass;
  AddInListById: StoreActionClass;
  AddInListByIdSuccess: StoreActionClass;
  AddInListByIdFail: StoreActionClass;
  RemoveInListById: StoreActionClass;
  RemoveInListByListId: StoreActionClass;
  LoadNextChunkList: StoreActionClass;
  LoadNextChunkListSuccess: StoreActionClass;
  LoadNextChunkListFail: StoreActionClass;
  Clean: StoreActionClass;
}
