# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

### [0.6.1](https://gitlab.unige.ch///compare/v0.6.0...v0.6.1) (2020-07-07)


### Features

* correct initValue typings to be generic ([25f7e24](https://gitlab.unige.ch///commit/25f7e241edb4db31272c467a13841928699e799e))
* fix BaseResource typing ([04e3311](https://gitlab.unige.ch///commit/04e331196a5319e4c07cf3b1179401833f3c9e8b))
* fix package-lock.json ([8572a0c](https://gitlab.unige.ch///commit/8572a0cf271568eb0ec5bc2130a0f0b1d83aa570))
* fix TResource typing issues ([c9c1293](https://gitlab.unige.ch///commit/c9c1293caf1bfaa61364f4102214ed0712ea8f3f))
* update all libraries ([d329f99](https://gitlab.unige.ch///commit/d329f99d31191664a8ac437332de791a94c0ac8f))
* update sort field typing ([7000273](https://gitlab.unige.ch///commit/700027328298eeec67deb92d472dc9865f762f65))
* use schematic testing async API only ([5fdbdf7](https://gitlab.unige.ch///commit/5fdbdf71f172d6c23b1791b84879e9924eaa1504))

## [0.6.0](https://gitlab.unige.ch///compare/v0.5.13...v0.6.0) (2020-07-06)

### [0.5.13](https://gitlab.unige.ch///compare/v0.5.12...v0.5.13) (2020-07-06)


### Bug Fixes

* overide state options ([df9ce42](https://gitlab.unige.ch///commit/df9ce42ab1ba0b682651324a699a45b9bd34156e))

### [0.5.12](https://gitlab.unige.ch///compare/v0.5.11...v0.5.12) (2020-06-17)


### Features

* add method for get label of enum on enumUtil ([6d203c2](https://gitlab.unige.ch///commit/6d203c203bf2fd81709a6714f1a8f46c1eb346a2))

### [0.5.11](https://gitlab.unige.ch///compare/v0.5.10...v0.5.11) (2020-06-08)


### Features

* use oauth2 state to preserve state between request and callback ([1a6a2f2](https://gitlab.unige.ch///commit/1a6a2f26cc413879893c18172b4f1520489db2d0))

### [0.5.10](https://gitlab.unige.ch///compare/v0.5.9...v0.5.10) (2020-06-08)


### Features

* allow to use custom query parameter on all type of api call ([664879d](https://gitlab.unige.ch///commit/664879d1d0d193ae90ea80de76f2c9529924ada7))

### [0.5.9](https://gitlab.unige.ch///compare/v0.5.8...v0.5.9) (2020-06-04)


### Bug Fixes

* add missing type on memoized util ([839d4d4](https://gitlab.unige.ch///commit/839d4d4eb8c9e70277cd7b1eb338d781759771a5))

### [0.5.8](https://gitlab.unige.ch///compare/v0.5.7...v0.5.8) (2020-06-04)


### Bug Fixes

* add type on sort interface ([8aaead3](https://gitlab.unige.ch///commit/8aaead33a02525c49098572550f8165c3a39ec52))

### [0.5.7](https://gitlab.unige.ch///compare/v0.5.6...v0.5.7) (2020-06-04)

### [0.5.6](https://gitlab.unige.ch///compare/v0.5.5...v0.5.6) (2020-06-03)


### Bug Fixes

* object nested attribute util when object is null ([bfec2d4](https://gitlab.unige.ch///commit/bfec2d47225bd161a1b5e270eeeb598e9fcd33b8))

### [0.5.5](https://gitlab.unige.ch///compare/v0.5.4...v0.5.5) (2020-05-29)


### Bug Fixes

* add sort as parameter for query parameters constructor ([9f2e035](https://gitlab.unige.ch///commit/9f2e03576428dc5b61f3d1f749cae317b5d19cbb))

### [0.5.4](https://gitlab.unige.ch///compare/v0.5.3...v0.5.4) (2020-05-26)


### Bug Fixes

* manage case error append during parralel and sequential dispatch ([fff7a00](https://gitlab.unige.ch///commit/fff7a00112287c73b1ba4b81918355ed846c0c3c))

### [0.5.3](https://gitlab.unige.ch///compare/v0.5.2...v0.5.3) (2020-05-18)


### Features

* add action on resource state to load chunk list ([6396dc7](https://gitlab.unige.ch///commit/6396dc7041fde54e94988dc5070b27a0f0af3b3f))

### [0.5.2](https://gitlab.unige.ch///compare/v0.5.1...v0.5.2) (2020-05-12)

### [0.5.1](https://gitlab.unige.ch///compare/v0.5.0...v0.5.1) (2020-05-11)


### Features

* add method to capitalize string ([eac1a52](https://gitlab.unige.ch///commit/eac1a524e92b57b478a170aa1bdd6fdf0ab9017c))

## [0.5.0](https://gitlab.unige.ch///compare/v0.4.13...v0.5.0) (2020-05-11)


### Features

* allow to add action button on snackbar ([1ed158f](https://gitlab.unige.ch///commit/1ed158f443ca8be9a218c4c97078b43de505c52c))

### [0.4.13](https://gitlab.unige.ch///compare/v0.4.12...v0.4.13) (2020-04-30)


### Bug Fixes

* solidify validation directive ([f7dafac](https://gitlab.unige.ch///commit/f7daface73c4839ec43320da13e77e4fcaa8665c))

### [0.4.12](https://gitlab.unige.ch///compare/v0.4.11...v0.4.12) (2020-04-30)


### Bug Fixes

* manage case error during refresh token retrieve ([5788e53](https://gitlab.unige.ch///commit/5788e536c11e335f8f2cdb62926a781238c83cc8))
* test ([1785f15](https://gitlab.unige.ch///commit/1785f159373787dfbf8b87f57b5c8a012488566b))

### [0.4.11](https://gitlab.unige.ch///compare/v0.4.10...v0.4.11) (2020-04-24)


### Features

* add directive shortcut, autofocus and autoscroll ([8b4a37c](https://gitlab.unige.ch///commit/8b4a37cd879d8a370ab50e5218c3bc846b05d021))

### [0.4.10](https://gitlab.unige.ch///compare/v0.4.9...v0.4.10) (2020-04-23)


### Features

* add method clone to mapping object ([07bb172](https://gitlab.unige.ch///commit/07bb172af3d4d896eb46fe077e98c76105e1906c))

### [0.4.9](https://gitlab.unige.ch///compare/v0.4.8...v0.4.9) (2020-04-23)

### [0.4.8](https://gitlab.unige.ch///compare/v0.4.7...v0.4.8) (2020-04-20)


### Bug Fixes

* snackbar display problem ([476e80a](https://gitlab.unige.ch///commit/476e80a38c080858018153d5ed46293189a43a38))

### [0.4.7](https://gitlab.unige.ch///compare/v0.4.6...v0.4.7) (2020-04-09)


### Bug Fixes

* correct imports ([4b7aaeb](https://gitlab.unige.ch///commit/4b7aaeba471b37fa95ddf99273761acf438eb7d8))
* is not null nor undefined typing ([2f1b1af](https://gitlab.unige.ch///commit/2f1b1afb0bb54e5fee9a4034921762407edcf1e7))
* oauth code extract can work on hash routing stategy ([b2bb83d](https://gitlab.unige.ch///commit/b2bb83d1303c2a72bab92d57def13e2afaee0577))

### [0.4.6](https://gitlab.unige.ch///compare/v0.4.5...v0.4.6) (2020-03-27)


### Features

* iteration ([fc74a31](https://gitlab.unige.ch///commit/fc74a318fc3ba2e0a77bddf240d51cf930de9bb7))
* migrate all libraries to latest version ([f2ac77f](https://gitlab.unige.ch///commit/f2ac77f5b1487bb14d1da08377e6d23242e84f4e))

### [0.4.5](https://gitlab.unige.ch///compare/v0.4.4...v0.4.5) (2020-03-27)

### [0.4.4](https://gitlab.unige.ch///compare/v0.4.3...v0.4.4) (2020-03-26)

### [0.4.3](https://gitlab.unige.ch///compare/v0.4.2...v0.4.3) (2020-03-26)

### [0.4.2](https://gitlab.unige.ch///compare/v0.4.1...v0.4.2) (2020-03-26)

### [0.4.1](https://gitlab.unige.ch///compare/v0.4.0...v0.4.1) (2020-03-26)

## [0.4.0](https://gitlab.unige.ch///compare/v0.3.10...v0.4.0) (2020-03-26)


### Features

* fix CoreAbstractPipe ([5b2896b](https://gitlab.unige.ch///commit/5b2896b519d81bb7b223b4fe1ee637bcdf71ddec))
* migrate schematics ([00f591c](https://gitlab.unige.ch///commit/00f591c8a356699e0962d4781272605364ede1ba))
* remove unnecessary tslint import ([6c2c524](https://gitlab.unige.ch///commit/6c2c524e3cb08121659ef6290667d8b8b5c81930))
* update lib ([b59d358](https://gitlab.unige.ch///commit/b59d3586aba1f13e9fcf6fe05f68d3dea1fad871))
* update libraries and fixed subsequent issues ([763de31](https://gitlab.unige.ch///commit/763de31573441bccfc5412197c7872de61ca1787))
* update libraries to respective viable latest and fixed subsequent issues ([605704f](https://gitlab.unige.ch///commit/605704f84db64fe47b46b2842d412282e2da18e6))
* update package-lock.json ([09ec066](https://gitlab.unige.ch///commit/09ec066da92e32662422843afbe20488861e01bd))
* update package.json and package-lock.json ([ce846e4](https://gitlab.unige.ch///commit/ce846e4614d48b52c7454bc45fc9dece060ff273))
* update state management ([0c2e419](https://gitlab.unige.ch///commit/0c2e4190ffa5443ff41a84a8b3afb0dcfddaebfe))

### [0.3.10](https://gitlab.unige.ch///compare/v0.3.9...v0.3.10) (2020-03-17)

### [0.3.9](https://gitlab.unige.ch///compare/v0.3.8...v0.3.9) (2020-03-05)


### Features

* add is promise ([8154cef](https://gitlab.unige.ch///commit/8154cef))

### [0.3.8](https://gitlab.unige.ch///compare/v0.3.7...v0.3.8) (2020-03-03)


### Features

* add basic state for simple state that want to take advantage of memoized util without inherit from resourceState compositionState and so one ([1ab0dc9](https://gitlab.unige.ch///commit/1ab0dc9))
* add missing is tool pipe ([e7375ba](https://gitlab.unige.ch///commit/e7375ba))
* add possibility to type differently output than input of api call ([dd46d40](https://gitlab.unige.ch///commit/dd46d40))

### [0.3.7](https://gitlab.unige.ch///compare/v0.3.6...v0.3.7) (2020-02-25)


### Features

* add string util method for case transform ([8b4b1e8](https://gitlab.unige.ch///commit/8b4b1e8))

### [0.3.6](https://gitlab.unige.ch///compare/v0.3.5...v0.3.6) (2020-02-19)


### Bug Fixes

* change rebuild url to static public ([6b954fe](https://gitlab.unige.ch///commit/6b954fe))

### [0.3.5](https://gitlab.unige.ch///compare/v0.3.4...v0.3.5) (2020-02-19)


### Bug Fixes

* make public method rebuild url from routing util ([7d67799](https://gitlab.unige.ch///commit/7d67799))

### [0.3.4](https://gitlab.unige.ch///compare/v0.3.3...v0.3.4) (2020-02-19)

### [0.3.3](https://gitlab.unige.ch///compare/v0.3.2...v0.3.3) (2020-02-19)


### Features

* add routing util ([9e3a51b](https://gitlab.unige.ch///commit/9e3a51b))

### [0.3.2](https://gitlab.unige.ch///compare/v0.3.1...v0.3.2) (2020-02-19)


### Bug Fixes

* update pagination when listing all resources ([774d893](https://gitlab.unige.ch///commit/774d893))


### Features

* add search all method on string util ([3ceabb8](https://gitlab.unige.ch///commit/3ceabb8))

### [0.3.1](https://gitlab.unige.ch///compare/v0.3.0...v0.3.1) (2020-02-11)


### Features

* add change query parameter action to composition state ([89b9f69](https://gitlab.unige.ch///commit/89b9f69))
* add condition on change query parameter on resource to choose to refresh or not after ([872c288](https://gitlab.unige.ch///commit/872c288))
* add message parameter on notification and remove translate boolean parameter ([e8c7b06](https://gitlab.unige.ch///commit/e8c7b06))

## [0.3.0](https://gitlab.unige.ch///compare/v0.2.27...v0.3.0) (2020-02-04)

### [0.2.27](https://gitlab.unige.ch///compare/v0.2.26...v0.2.27) (2020-01-31)


### Bug Fixes

* fix pagination for AssociationState ([310a92f](https://gitlab.unige.ch///commit/310a92f))

### [0.2.26](https://gitlab.unige.ch///compare/v0.2.25...v0.2.26) (2020-01-30)


### Bug Fixes

* update query parameters at getall method for non-sql resources ([037a4b6](https://gitlab.unige.ch///commit/037a4b6))

### [0.2.25](https://gitlab.unige.ch///compare/v0.2.24...v0.2.25) (2020-01-30)


### Features

* add possibility to not cancel get all method ([9e93901](https://gitlab.unige.ch///commit/9e93901))

### [0.2.24](https://gitlab.unige.ch///compare/v0.2.23...v0.2.24) (2020-01-29)


### Features

* optimize resource AddInList action to prevent simultaneous similar request to append ([6550980](https://gitlab.unige.ch///commit/6550980))

### [0.2.23](https://gitlab.unige.ch///compare/v0.2.22...v0.2.23) (2020-01-29)


### Features

* add is observable pipe and tool ([c387e53](https://gitlab.unige.ch///commit/c387e53))

### [0.2.22](https://gitlab.unige.ch///compare/v0.2.21...v0.2.22) (2020-01-28)


### Bug Fixes

* add default value for QueryParamters page size ([45f5406](https://gitlab.unige.ch///commit/45f5406))


### Features

* add method to deep clone query parameters ([d7ee643](https://gitlab.unige.ch///commit/d7ee643))
* add override and virtual decorator as indicator ([1025e42](https://gitlab.unige.ch///commit/1025e42))

### [0.2.21](https://gitlab.unige.ch///compare/v0.2.20...v0.2.21) (2020-01-23)


### Bug Fixes

* change name of folder to project name ([8b15061](https://gitlab.unige.ch///commit/8b15061))


### Features

* add new action to manipulate list on resource state ([542b767](https://gitlab.unige.ch///commit/542b767))
* add option when add to list with id ([8189cee](https://gitlab.unige.ch///commit/8189cee))

### [0.2.20](https://gitlab.unige.ch///compare/v0.2.19...v0.2.20) (2019-12-17)


### Features

* add method get search item on query parameter util ([0ab6a2a](https://gitlab.unige.ch///commit/0ab6a2a))
* add method size on maping object util ([5c8eb02](https://gitlab.unige.ch///commit/5c8eb02))
* allow to use store on method dispatch parallel and sequential action ([90d74f1](https://gitlab.unige.ch///commit/90d74f1))

### [0.2.19](https://gitlab.unige.ch///compare/v0.2.18...v0.2.19) (2019-12-04)

### [0.2.18](https://gitlab.unige.ch///compare/v0.2.17...v0.2.18) (2019-12-02)


### Bug Fixes

* validation error backend with solidify error ([9268aa0](https://gitlab.unige.ch///commit/9268aa0))

### [0.2.17](https://gitlab.unige.ch///compare/v0.2.16...v0.2.17) (2019-11-28)


### Features

* add option on resource clean method ([7a8e189](https://gitlab.unige.ch///commit/7a8e189))
* translate backend validation message ([c5b5848](https://gitlab.unige.ch///commit/c5b5848))

### [0.2.16](https://gitlab.unige.ch///compare/v0.2.15...v0.2.16) (2019-11-25)


### Bug Fixes

* avoid error on memoized util when state retreive is null or undefined ([1f36026](https://gitlab.unige.ch///commit/1f36026))

### [0.2.15](https://gitlab.unige.ch///compare/v0.2.14...v0.2.15) (2019-11-25)


### Features

* add get by id on composition state ([109b328](https://gitlab.unige.ch///commit/109b328))
* add method on api service to get list ([488906e](https://gitlab.unige.ch///commit/488906e))

### [0.2.14](https://gitlab.unige.ch///compare/v0.2.13...v0.2.14) (2019-11-20)


### Bug Fixes

* change header validate application/hal+json to application/json ([38ec854](https://gitlab.unige.ch///commit/38ec854))


### Features

* add hate oas model ([b1c1450](https://gitlab.unige.ch///commit/b1c1450))
* add isArray pipe ([62f05d1](https://gitlab.unige.ch///commit/62f05d1))
* add method values into object utils ([6eebb2a](https://gitlab.unige.ch///commit/6eebb2a))

### [0.2.13](https://gitlab.unige.ch///compare/v0.2.12...v0.2.13) (2019-11-19)


### Bug Fixes

* avoid error if resource state action getByIdSuccess have no parent action provided ([704d479](https://gitlab.unige.ch///commit/704d479))
* unit test ([3548fae](https://gitlab.unige.ch///commit/3548fae))


### Features

* add memoized selector method to all state and into memoized util ([dde0498](https://gitlab.unige.ch///commit/dde0498))

### [0.2.12](https://gitlab.unige.ch///compare/v0.2.11...v0.2.12) (2019-11-13)


### Bug Fixes

* add missing change query parameter to resource readonly normal and no sql ([e55ba09](https://gitlab.unige.ch///commit/e55ba09))

### [0.2.11](https://gitlab.unige.ch///compare/v0.2.10...v0.2.11) (2019-11-13)


### Bug Fixes

* error wrapping ([7039c69](https://gitlab.unige.ch///commit/7039c69))


### Features

* add util to allow copy string to clipboard ([7394f21](https://gitlab.unige.ch///commit/7394f21))

### [0.2.10](https://gitlab.unige.ch///compare/v0.2.9...v0.2.10) (2019-11-12)


### Bug Fixes

* dispatchParallelActionAndWaitForSubActionsCompletion ¨when no subaction completion ([e26b512](https://gitlab.unige.ch///commit/e26b512))
* environment injection for aot error ([60ac813](https://gitlab.unige.ch///commit/60ac813))
* remove useless parameters in action of resource readonly ([a157e56](https://gitlab.unige.ch///commit/a157e56))


### Features

* add mapping object util ([1ef0f10](https://gitlab.unige.ch///commit/1ef0f10))
* allow to use object for search item on query parameters ([31a1e83](https://gitlab.unige.ch///commit/31a1e83))
* allow to use other notifier service or none ([8781564](https://gitlab.unige.ch///commit/8781564))
* create injection token for notifier service in global error handler ([a892f26](https://gitlab.unige.ch///commit/a892f26))
* wrap solidify state error ([be94851](https://gitlab.unige.ch///commit/be94851))

### [0.2.9](https://gitlab.unige.ch///compare/v0.2.8...v0.2.9) (2019-11-06)


### Bug Fixes

* dispatchParallelActionAndWaitForSubActionsCompletion to return observable when no action ([def2bfd](https://gitlab.unige.ch///commit/def2bfd))
* lint error missing fdescribe ([ae888b3](https://gitlab.unige.ch///commit/ae888b3))


### Features

* add array util with distinct method ([cb42c84](https://gitlab.unige.ch///commit/cb42c84))
* allow retreive only missing data on action get by list id for resource state ([586ee4b](https://gitlab.unige.ch///commit/586ee4b))

### [0.2.8](https://gitlab.unige.ch///compare/v0.2.7...v0.2.8) (2019-11-06)


### Features

* add resource action get by list id ([72bf7ea](https://gitlab.unige.ch///commit/72bf7ea))

### [0.2.7](https://gitlab.unige.ch///compare/v0.2.6...v0.2.7) (2019-11-06)

### [0.2.6](https://gitlab.unige.ch///compare/v0.2.5...v0.2.6) (2019-11-06)


### Bug Fixes

* rollback update to translate validation message ([8c6a829](https://gitlab.unige.ch///commit/8c6a829))

### [0.2.5](https://gitlab.unige.ch///compare/v0.2.4...v0.2.5) (2019-11-06)


### Bug Fixes

* missing coma in package json ([f0544b0](https://gitlab.unige.ch///commit/f0544b0))
* move as peer dependencies libs ([d89d565](https://gitlab.unige.ch///commit/d89d565))

### [0.2.4](https://gitlab.unige.ch///compare/v0.2.3...v0.2.4) (2019-11-05)


### Bug Fixes

* add environment variable to translate validation message ([3465bb0](https://gitlab.unige.ch///commit/3465bb0))

### [0.2.3](https://gitlab.unige.ch///compare/v0.2.2...v0.2.3) (2019-11-05)


### Bug Fixes

* move schematic to dev dependancy ([ed0cef9](https://gitlab.unige.ch///commit/ed0cef9))
* unit test on date util ([6e11737](https://gitlab.unige.ch///commit/6e11737))
* update date format ISO8601 to include ms ([f8bf41f](https://gitlab.unige.ch///commit/f8bf41f))

### [0.2.2](https://gitlab.unige.ch///compare/v0.2.1...v0.2.2) (2019-11-04)


### Features

* add usage of query parameters in composition state ([d6949c2](https://gitlab.unige.ch///commit/d6949c2))

### [0.2.1](https://gitlab.unige.ch///compare/v0.2.0...v0.2.1) (2019-10-31)

## [0.2.0](https://gitlab.unige.ch///compare/v0.1.21...v0.2.0) (2019-10-29)

### [0.1.21](https://gitlab.unige.ch///compare/v0.1.20...v0.1.21) (2019-10-25)


### Features

* add avaibility to use callback to redirect after create, update or delete success of resource ([02a88b6](https://gitlab.unige.ch///commit/02a88b6))

### [0.1.20](https://gitlab.unige.ch///compare/v0.1.19...v0.1.20) (2019-10-24)


### Features

* add api method to patch by id with custom url ([fd7a572](https://gitlab.unige.ch///commit/fd7a572))

### [0.1.19](https://gitlab.unige.ch///compare/v0.1.18...v0.1.19) (2019-10-23)

### [0.1.18](https://gitlab.unige.ch///compare/v0.1.17...v0.1.18) (2019-10-23)


### Bug Fixes

* update value and validity of field with only frontend error ([9bc1d37](https://gitlab.unige.ch///commit/9bc1d37))


### Features

* add validation directive ([cc3f7db](https://gitlab.unige.ch///commit/cc3f7db))

### [0.1.17](https://gitlab.unige.ch///compare/v0.1.16...v0.1.17) (2019-10-18)


### Features

* allow usage of component for notification snackbar ([294e369](https://gitlab.unige.ch///commit/294e369))

### [0.1.16](https://gitlab.unige.ch///compare/v0.1.15...v0.1.16) (2019-10-15)


### Bug Fixes

* allow status in error dto to be a number ([1a985b3](https://gitlab.unige.ch///commit/1a985b3))
* DLCM-822 override url at runtime not take into account on NGXS state ([465bce2](https://gitlab.unige.ch///commit/465bce2))

### [0.1.15](https://gitlab.unige.ch///compare/v0.1.14...v0.1.15) (2019-10-08)


### Features

* add relation 3 tiers get by id ([99072df](https://gitlab.unige.ch///commit/99072df))

### [0.1.14](https://gitlab.unige.ch///compare/v0.1.13...v0.1.14) (2019-10-04)


### Bug Fixes

* restore to default value before create ([f9913d4](https://gitlab.unige.ch///commit/f9913d4))

### [0.1.13](https://gitlab.unige.ch///compare/v0.1.12...v0.1.13) (2019-10-03)


### Bug Fixes

* clean selected value after update/delete success without refresh ([4620020](https://gitlab.unige.ch///commit/4620020))
* export base state ([02f0413](https://gitlab.unige.ch///commit/02f0413))

### [0.1.12](https://gitlab.unige.ch///compare/v0.1.11...v0.1.12) (2019-10-01)


### Bug Fixes

* make configuration reinit of state when get ([de3c3a3](https://gitlab.unige.ch///commit/de3c3a3))
* reset current and select value on get all and get by id ([eb2e29c](https://gitlab.unige.ch///commit/eb2e29c))
* set selected and current value to undefined when get ([39d78d8](https://gitlab.unige.ch///commit/39d78d8))

### [0.1.11](https://gitlab.unige.ch///compare/v0.1.10...v0.1.11) (2019-09-26)


### Bug Fixes

* lint error ([9a71912](https://gitlab.unige.ch///commit/9a71912))

### [0.1.10](https://gitlab.unige.ch///compare/v0.1.9...v0.1.10) (2019-09-25)


### Bug Fixes

* lint error ([4f6330e](https://gitlab.unige.ch///commit/4f6330e))
* relation 3 tiers to set as sequential ([4af82c3](https://gitlab.unige.ch///commit/4af82c3))
* ts lint error ([5f6a7d5](https://gitlab.unige.ch///commit/5f6a7d5))

### [0.1.9](https://gitlab.unige.ch///compare/v0.1.8...v0.1.9) (2019-09-23)


### Features

* add method in store util to force sequential call to backend ([52460d2](https://gitlab.unige.ch///commit/52460d2))

### [0.1.8](https://gitlab.unige.ch///compare/v0.1.7...v0.1.8) (2019-09-20)


### Bug Fixes

* relation 3 tiers ([46cd449](https://gitlab.unige.ch///commit/46cd449))

### [0.1.7](https://gitlab.unige.ch///compare/v0.1.6...v0.1.7) (2019-09-17)


### Features

* update resource state ([016d9f5](https://gitlab.unige.ch///commit/016d9f5))

### [0.1.6](https://gitlab.unige.ch///compare/v0.1.5...v0.1.6) (2019-09-16)


### Bug Fixes

* update action on resource state update the current value ([98b0824](https://gitlab.unige.ch///commit/98b0824))


### Features

* add enum util ([f305168](https://gitlab.unige.ch///commit/f305168))

### [0.1.5](https://gitlab.unige.ch///compare/v0.1.4...v0.1.5) (2019-09-13)


### Bug Fixes

* comment the memoized selector isLoading that doesn't work when there is several usage ([bd0cb44](https://gitlab.unige.ch///commit/bd0cb44))

### [0.1.4](https://gitlab.unige.ch///compare/v0.1.3...v0.1.4) (2019-09-12)


### Features

* Update state ([e32ed5b](https://gitlab.unige.ch///commit/e32ed5b))

### [0.1.3](https://gitlab.unige.ch///compare/v0.1.2...v0.1.3) (2019-09-10)


### Features

* add method in date util ([36934fc](https://gitlab.unige.ch///commit/36934fc))

### [0.1.2](https://gitlab.unige.ch///compare/v0.1.1...v0.1.2) (2019-09-04)


### Bug Fixes

* ignore ts lint error on ngxs selector ([583dc3a](https://gitlab.unige.ch///commit/583dc3a))


### Features

* add memoized selector on state ([5a71107](https://gitlab.unige.ch///commit/5a71107))
* **solidify-frontend:** new relation state ([fe26e36](https://gitlab.unige.ch///commit/fe26e36))

### [0.1.1](https://gitlab.unige.ch///compare/v0.1.0...v0.1.1) (2019-09-03)


### Features

* add readonly state ([6465d3c](https://gitlab.unige.ch///commit/6465d3c))

## [0.1.0](https://gitlab.unige.ch///compare/v0.0.8...v0.1.0) (2019-08-29)


### Bug Fixes

* don't log stacktrace error to avoid overload of useless data (JS info) ([c2e7657](https://gitlab.unige.ch///commit/c2e7657))

### [0.0.8](https://gitlab.unige.ch///compare/v0.0.7...v0.0.8) (2019-08-26)


### Features

* add option object on all state ([d0d43e3](https://gitlab.unige.ch///commit/d0d43e3))

### [0.0.7](https://gitlab.unige.ch///compare/v0.0.6...v0.0.7) (2019-08-26)


### Features

* translate all notifications ([565fc4e](https://gitlab.unige.ch///commit/565fc4e))

### [0.0.6](https://gitlab.unige.ch///compare/v0.0.5...v0.0.6) (2019-08-23)


### Features

* add delete list action for association remote ([3b3d329](https://gitlab.unige.ch///commit/3b3d329))

### [0.0.5](https://gitlab.unige.ch///compare/v0.0.3...v0.0.5) (2019-08-22)


### Bug Fixes

* async validation on input that doesn't have other validation ([3ce1bda](https://gitlab.unige.ch///commit/3ce1bda))
* date result when input is null, undefined or whitespace ([535d69f](https://gitlab.unige.ch///commit/535d69f))
* remove oauth information in url after authentification ([d94ecf9](https://gitlab.unige.ch///commit/d94ecf9))

### [0.0.3](https://gitlab.unige.ch///compare/v0.0.1...v0.0.3) (2019-08-20)


### Bug Fixes

* allow override of env setting on OAuth2Interceptor ([1909ad3](https://gitlab.unige.ch///commit/1909ad3))
* increase state ([675ebe7](https://gitlab.unige.ch///commit/675ebe7))
* unit test error with environment injection token import ([b1332b8](https://gitlab.unige.ch///commit/b1332b8))


### Features

* add on relation 2 tiers Update Relation and Delete By Id ([0bb3745](https://gitlab.unige.ch///commit/0bb3745))

### [0.0.2](https://gitlab.unige.ch///compare/v0.0.1...v0.0.2) (2019-08-09)

### 0.0.1 (2019-08-08)

### 0.0.1 (2019-07-26)

## 0.0.0 (2019-07-25)
